<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') )
	przekierowanie();

$odczytPliku      = ( file_exists( odczytKonf('adresPlikow') . '/' . ID2 ) ) ? true : false;
$plikMaMiniaturke = ( file_exists( odczytKonf('adresPlikow') . '/miniatury/' . ID2 . '_min' ) ) ? true : false;

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $odczytPliku
	and !empty($_POST['nowaNazwaPliku']) and $_POST['nowaNazwaPliku'] != ID2 ) {

	$_POST['nowaNazwaPliku'] = prostaNazwa( $_POST['nowaNazwaPliku'], odczytKonf('wysylaniePlikowZawszeMaleLitery') );

	if ( !sprawdzNazwe( $_POST['nowaNazwaPliku'] ) )
		komunikat( 'zle.Nazwa pliku <strong>' . $_POST['nowaNazwaPliku'] . '</strong> jest niewłaściwa.' );

	elseif ( file_exists( odczytKonf('adresPlikow') . '/' . $_POST['nowaNazwaPliku'] ) )
		komunikat( 'zle.Plik o nazwie <strong>' . $_POST['nowaNazwaPliku'] . '</strong> już istnieje.' );

	else {

		// zmiana nazwy pliku i ew. miniatury
		rename(
			odczytKonf('adresPlikow') . '/' . ID2,
			odczytKonf('adresPlikow') . '/' . $_POST['nowaNazwaPliku']
		);

		if ( $plikMaMiniaturke ) {
			rename(
				odczytKonf('adresPlikow') . '/miniatury/' . ID2 . '_min',
				odczytKonf('adresPlikow') . '/miniatury/' . $_POST['nowaNazwaPliku'] . '_min'
			);
		}

		przekierowanie( '?id=wyslanePliki&zmienionoNazwePliku=' . $_POST['nowaNazwaPliku'] );

	}

}

if ( !$odczytPliku )
	komunikat( 'zle.Plik o nazwie <strong>' . ID2 . '</strong> nie istnieje.' );

if ( isset($_GET['usunMiniaturke']) and $plikMaMiniaturke ) {
	unlink( odczytKonf('adresPlikow') . '/miniatury/' . ID2 . '_min' );
	komunikat('dob.Miniaturka tego pliku graficznego została nieodwracalnie usunięta.');
	$plikMaMiniaturke = false;
}

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>
	<b><a title="Otwórz ten plik lub pobierz go." target="_blank" href="<?php echo odczytKonf('adres'), '/', odczytKonf('adresPlikow'), '/', ID2 ?>"><?php echo ( $odczytPliku ) ? ID2 : '%BŁĄD%' ?></a></b>
	&mdash; edycja pliku
</h2>

<form method="post">

<style scoped>
	td input[readonly] { cursor: default; }
</style>

<h3>Adres bezpośredni</h3>

<table>
	<tr> <td><input <?php wylaczElement($odczytPliku,false) ?> type="text" readonly onclick="this.focus(); this.select();" value="<?php echo odczytKonf('adres'), '/', odczytKonf('adresPlikow'), '/', ID2 ?>" /></td> </tr>
</table>

<p class="informacja">Aby umieścić w witrynie odnośnik do tego pliku, umożliwiając jego pobieranie i przeglądanie, <?php if ( odczytKonf('sposobEdycjiTekstu') == 'edytorWizualny' ) { ?>podczas edycji zawartości strony skorzystaj z&nbsp;przycisku <strong>Wstaw/edytuj odnośnik</strong> i polecenia <strong>Przeglądaj</strong><?php } else {  ?>skopiuj powyższy adres bezpośredni i wklej go na żądanej stronie<?php } ?>.</p>

<?php if ( $plikMaMiniaturke ) { ?>

<h3>Miniaturka</h3>

<table>
	<tr> <td><input <?php wylaczElement($odczytPliku,false) ?> type="text" readonly onclick="this.focus(); this.select();" value="<?php echo odczytKonf('adres'), '/', odczytKonf('adresPlikow'), '/miniatury/', ID2, '_min' ?>" /></td> </tr>
</table>

<p class="informacja">Ten plik graficzny posiada stworzoną automatycznie miniaturkę, która jest używana w galeriach zdjęć i&nbsp;na stronach. Jeśli sobie tego życzysz, <a href="?id=edycjaPliku&b=<?php echo ID2 ?>&usunMiniaturke">możesz ją nieodwracalnie usunąć</a>.</p>

<?php } ?>

<h3>Zmiana nazwy</h3>

<table>
	<tr> <td>Bieżąca nazwa pliku:</td> <td><?php echo ( $odczytPliku ) ? ID2 : '&nbsp;' ?></td> </tr>
	<tr> <td>Nowa nazwa pliku:</td> <td><input <?php wylaczElement($odczytPliku,false) ?> type=text name="nowaNazwaPliku" value="<?php echo ID2 ?>" required /></td> </tr>
</table>

<p class="uwaga">Uwaga! Nazwę pliku możesz zmieniać tylko wtedy, gdy nie został on jeszcze gdziekolwiek użyty. Jeżeli ten plik został już wykorzystany na jakiejkolwiek stronie w witrynie (np. umieszczono go w galerii zdjęć lub w magazynie plików), nie należy zmieniać jego nazwy, gdyż spowoduje to niepoprawne działanie witryny i uniemożliwi dostęp do pliku.</p>

<p class="przyciskWysylania"><input <?php wylaczElement($odczytPliku,false) ?> type="submit" value="Zmień nazwę pliku" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');