<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') )
	przekierowanie();

if ( !isset($_GET['element']) ) {
	$odczytTypuMotywu = false;
	$_GET['element']  = false;
	komunikat('zle.&bdquo;To wszystko nie ma sensu. Nie ma sensu kupować kredensu.&rdquo;');
}
else {
	$odczytTypuMotywu = odczytTypuMotywu( $_GET['element'], ID2 );
	if ( !$odczytTypuMotywu )
		komunikat('zle.Podany identyfikator typu zawartości lub motywu jest nieprawidłowy.');
}

if ( $odczytTypuMotywu['wlasny'] )
	przekierowanie( '?id=edytorPlikow&b=/' . $_GET['element'] . '/' . ID2 );
	// jeżeli motyw odczytywany jest z folderu DANE, od razu przekierowujemy do edytora plików

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $odczytTypuMotywu != false
	and !odczytKonf('wysokieZabezpieczenie') ) {

	if ( !sprawdzNazwe($_POST['nowyIdentyfikator']) )
		komunikat( 'zle.Identyfikator <strong>' . $_POST['nowyIdentyfikator'] . '</strong> jest niepoprawny.' );
	elseif ( file_exists( DANE . '/' . $_GET['element'] . '/' . $_POST['nowyIdentyfikator'] ) )
		komunikat( 'zle.Folder o nazwie <strong>' . $_POST['nowyIdentyfikator'] . '</strong> już istnieje. Usuń go i spróbuj ponownie.' );

	else {

		// tworzymy listę wszystkich plików danego elementu
		$wszystkiePlikiElementu = plikiFolderu( SYSTEM . '/' . $_GET['element'] . '/' . ID2 );

		// tworznymy w folderze DANE odpowiedni katalog
		if ( !file_exists( DANE . '/' . $_GET['element'] ) )
			mkdir( DANE . '/' . $_GET['element'] );
		mkdir( DANE . '/' . $_GET['element'] . '/' . $_POST['nowyIdentyfikator'] );

		// kopiujemy wszystkie pliki typu zawartości strony lub motywu

		foreach ( $wszystkiePlikiElementu as $plik ) {

			if ( dirname($plik) != '.' and
				!file_exists( DANE . '/' . $_GET['element'] . '/' . $_POST['nowyIdentyfikator'] . '/' . dirname($plik) ) )
				mkdir( DANE . '/' . $_GET['element'] . '/' . $_POST['nowyIdentyfikator'] . '/' . dirname($plik) );

			copy(
				SYSTEM . '/' . $_GET['element'] . '/' .              ID2            . '/' . $plik,
				DANE   . '/' . $_GET['element'] . '/' . $_POST['nowyIdentyfikator'] . '/' . $plik
			);

		}

		// zmieniamy nazwę pliku konfiguracyjnego WTU na taką, jaką wybrano jako ID motywu lub typu
		rename(
			DANE . '/' . $_GET['element'] . '/' . $_POST['nowyIdentyfikator'] . '/' . ID2 . '.wtu',
			DANE . '/' . $_GET['element'] . '/' . $_POST['nowyIdentyfikator'] . '/' . $_POST['nowyIdentyfikator'] . '.wtu'
		);

		przekierowanie( '?id=edytorPlikow&b=/' . $_GET['element'] . '/' . $_POST['nowyIdentyfikator'] );

	}

}

$elementu = 'niewiadomoczego';
if ( $_GET['element'] == 'motywy' )
	$elementu = 'motywu';
elseif ( $_GET['element'] == 'typy' )
	$elementu = 'typu zawartości';

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Edycja <?php echo $elementu ?></h2>

<?php if ( odczytKonf('wysokieZabezpieczenie') ) { ?>

<p class="uwaga">Tryb wysokiego zabezpieczenia jest obecnie włączony, dlatego dostęp do tego narzędzia jest niemożliwy. Aby zmienić ten stan, wyłącz tryb wysokiego zabezpieczenia, edytując plik konfiguracyjny.</p>

<?php } else { ?>

<form method="post">

<table>
	<tr> <td>Nazwa <?php echo $elementu ?>:</td> <td><?php echo $odczytTypuMotywu['informacje']['nazwa'] ?></td> </tr>
<?php if ( isset($odczytTypuMotywu['informacje']['autor']) and isset($odczytTypuMotywu['informacje']['www']) ) { ?>
	<tr> <td>Autor <?php echo $elementu ?>:</td> <td><a href="<?php echo $odczytTypuMotywu['informacje']['www'] ?>" target="_blank"><?php echo $odczytTypuMotywu['informacje']['autor'] ?></a></td> </tr>
<?php } ?>
</table>

<table>
	<tr> <td>Identyfikator oryginalnego <?php echo $elementu ?>:</td> <td><?php echo ID2 ?></td> </tr>
	<tr> <td>Identyfikator skopiowanego <?php echo $elementu ?>:</td> <td><input type="text" name="nowyIdentyfikator" value="<?php echo ID2 ?>" /></td> </tr>
</table>

<p class="uwaga">W celu zmodyfikowania dostarczonego z systemem <?php echo $elementu ?>, należy skopiować go z folderu systemu do folderu witryny oraz nadać mu identyfikator. Jeśli identyfikator <?php echo $elementu ?> nie zostanie zmieniony, zmodyfikowana wersja <?php echo $elementu ?> zastąpi wbudowaną w system. Jeśli identyfikatory będą się różniły, użytkownik będzie miał do wyboru dwie wersje tego samego <?php echo $elementu ?> &mdash; oryginalną (domyślną) oraz zmodyfikowaną (własną).</p>

<p class="przyciskWysylania"><input type="submit" value="Utwórz kopię <?php echo $elementu ?>" <?php wylaczElement($odczytTypuMotywu,false) ?> /></p>

</form>

<?php } ?>

<?php
include (SYSTEM.'/admin/stopka.php');