<?php
// WizyTówka 4
if (!defined('WT')) exit();


$szkic = ( isset($_GET['szkic']) ) ? true : false;

if ( isset($_GET['usunStrone']) ) {

	if ( odczytStrony( $_GET['usunStrone'], $szkic ) != false
		and odczytKonf('stronaGlowna') != $_GET['usunStrone'] ) {

		// usunięcie plików WTK i WTZ strony
		unlink ( DANE . (($szkic) ? '/szkice/' : '/strony/') . $_GET['usunStrone'] . '.wtk' );
		unlink ( DANE . (($szkic) ? '/szkice/' : '/strony/') . $_GET['usunStrone'] . '.wtz' );

		// te czynności możemy pominąć, jeśli usuwamy szkic strony
		if ( !$szkic ) {

			// aktualizacja mapy witryny
			generujMapeWitryny();

			// aktualizacja menu głównego i dodatkowego
			aktualizujMenuGlowneDodatkowe( $_GET['usunStrone'], '.' );

		}

		komunikat( 'dob.' . (($szkic) ? 'Szkic strony' : 'Strona') . ' <strong>' . $_GET['usunStrone'] . '</strong> ' . (($szkic) ? 'został usunięty' : 'została usunięta') . '.' );

	}

	elseif ( odczytKonf('stronaGlowna') == $_GET['usunStrone'] )
		komunikat('zle.Wybrana do usunięcia strona jest obecnie stroną główną witryny. Strona nie została usunięta.');

}

if ( !empty($_GET['ukryjStrone']) ) {

	if ( odczytStrony($_GET['ukryjStrone']) != false and odczytKonf('stronaGlowna') != $_GET['ukryjStrone'] ) {

		// przeniesienie plików WTK i WTZ strony
		rename(
			DANE . '/strony/' . $_GET['ukryjStrone'] . '.wtk',
			DANE . '/szkice/' . $_GET['ukryjStrone'] . '.wtk'
		);
		rename(
			DANE . '/strony/' . $_GET['ukryjStrone'] . '.wtz',
			DANE . '/szkice/' . $_GET['ukryjStrone'] . '.wtz'
		);

		// aktualizacja mapy witryny
		generujMapeWitryny();

		// aktualizacja menu głównego i dodatkowego
		aktualizujMenuGlowneDodatkowe( $_GET['ukryjStrone'], '.' );

		// wyświetlamy listę szkiców stron zamiast stron
		$szkic = true;

		komunikat( 'dob.Strona <strong>' . $_GET['ukryjStrone'] . '</strong> została przeniesiona do szkiców.' );

	}

	elseif ( odczytKonf('stronaGlowna') == $_GET['ukryjStrone'] )
		komunikat('zle.Wybrana do przeniesienia strona jest obecnie stroną główną witryny. Strona nie została przeniesiona.');

}

if ( isset($_GET['publikujStrone']) ) {

	if ( odczytStrony( $_GET['publikujStrone'], true ) != false ) {

		// przeniesienie plików WTK i WTZ strony
		rename(
			DANE . '/szkice/' . $_GET['publikujStrone'] . '.wtk',
			DANE . '/strony/' . $_GET['publikujStrone'] . '.wtk'
		);
		rename(
			DANE . '/szkice/' . $_GET['publikujStrone'] . '.wtz',
			DANE . '/strony/' . $_GET['publikujStrone'] . '.wtz'
		);

		// aktualizacja mapy witryny
		generujMapeWitryny();

		// aktualizacja menu głównego i dodatkowego
		aktualizujMenuGlowneDodatkowe( $_GET['publikujStrone'] );

		// wyświetlamy listę stron zamiast szkiców
		$szkic = false;

		komunikat( 'dob.Strona <strong>' . $_GET['publikujStrone'] . '</strong> została opublikowana.' );

	}

}

if ( isset($_GET['utworzonoSzkic']) )
	komunikat('dob.Szkic strony został utworzony.');
if ( isset($_GET['utworzonoStrone']) )
	komunikat('dob.Strona została utworzona.');

include (SYSTEM.'/admin/naglowek.php');
?>
<h2><?php echo ($szkic) ? 'Szkice stron' : 'Strony' ?></h2>

<ul class="listaKafelkowa">
<?php
if ( listaStron($szkic) != false ) {
?>
<?php
	foreach ( listaStron($szkic) as $identyfikatorStrony ) {
		$odczytStrony = odczytStrony( $identyfikatorStrony, $szkic );
?>
	<li>
		<span><a title="<?php echo tekst($odczytStrony['tytul']) ?>" href="?id=edycjaStrony<?php echo ($szkic) ? '&szkic' : '' ?>&b=<?php echo $identyfikatorStrony ?>"><?php echo tekst($odczytStrony['tytul']) ?></a></span>
		<a target="_blank" href="<?php echo odczytKonf('adres') . (($szkic) ? '?podgladSzkicu=' . str_rot13($identyfikatorStrony) : '?id=' . $identyfikatorStrony) ?>">Zobacz</a> |
		<a href="?id=edycjaStrony<?php echo ($szkic) ? '&szkic' : '' ?>&b=<?php echo $identyfikatorStrony ?>">Edytuj</a> |
		<?php if ($szkic) { ?>
		<a href="?id=strony&szkic&publikujStrone=<?php echo $identyfikatorStrony ?>" onclick="return confirm('Czy na pewno chcesz opublikować ten szkic?')">Publikuj</a> |
		<?php } else { ?>
		<a href="?id=strony&ukryjStrone=<?php echo $identyfikatorStrony ?>" onclick="return confirm('Czy na pewno chcesz przenieść tę stronę do szkiców?')">Ukryj</a> |
		<?php } ?>
		<a href="?id=strony<?php echo ($szkic) ? '&szkic' : '' ?>&usunStrone=<?php echo $identyfikatorStrony ?>" onclick="return confirm('Czy na pewno chcesz usunąć <?php echo ($szkic) ? 'ten szkic' : 'tę stronę' ?>?')">Usuń</a>
	</li>
<?php
	}
}
?>
	<li class="dodaj">
		<span><a href="?id=utworzStrone<?php echo ($szkic) ? '&szkic' : '' ?>">Utwórz <?php echo ($szkic) ? 'szkic' : 'stronę' ?></a></span>
	</li>
</ul>
<?php
include (SYSTEM.'/admin/stopka.php');